Bug 246766 - firstboot gets a traceback with "KeyError"
Summary: firstboot gets a traceback with "KeyError"
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rhpl (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-04 18:32 UTC by Michal Jaegermann
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-18 14:46:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2007-07-04 18:32:39 UTC
Description of problem:

After FC5->F7 upgrade of a system with the following in
/etc/sysconfig/keyboard:

KEYBOARDTYPE="pc"
KEYTABLE="emacs2"

I found /tmp/firstboot-crash.log with this inside:

Traceback (most recent call last):
  File "/usr/sbin/firstboot", line 107, in <module>
    firstbootWindow(fb)
  File "/usr/share/firstboot/firstbootWindow.py", line 175, in __init__
    kbd.activate()
  File "/usr/lib/python2.5/site-packages/rhpl/keyboard.py", line 131, in activate
    kbd = self.modelDict[console_kbd]
KeyError: 'emacs2'

Not that I would notice any real consequences of the above.

Version-Release number of selected component (if applicable):
firstboot-1.4.35-1.fc7

How reproducible:
No idea as 'firstboot' usually does not really runs.

Comment 1 Chris Lumens 2007-07-18 14:46:35 UTC
This will be fixed in the next build of rhpl.


Note You need to log in before you can comment on or make changes to this bug.